Description

History

#1 - 11/11/2014 01:42 PM - Eric Faulhaber

The following form of where clause (full test case is query-subst-dynamic.p) is not properly converted:

find first tt1 where tt1.f1 = string(hb2:buffer-field("f1"):buffer-value()).

 

This results in:

new FindQuery(tt1, "upper(tt1.f1) = toString()", null, "tt1.id asc").first();

 

The hb2:buffer-field("f1"):buffer-value() reference is to a separate buffer from the tt1 default buffer. It is being dropped from the where clause, while it

should be converted to a query substitution parameter, along with the enclosing string function call.

#2 - 11/12/2014 11:14 AM - Eric Faulhaber

- File ecf_upd20141112a.zip added

- Status changed from New to Test

- % Done changed from 0 to 60

The attached update resolves this issue by marking the handle invocation chain as a query substitution expression during where clause conversion.

Currently regression testing.
#3 - 11/12/2014 04:27 PM - Eric Faulhaber

- Status changed from Test to Closed

- % Done changed from 60 to 100

The update passed conversion regression testing and is committed to bzr rev. 10653.

#4 - 11/16/2016 12:06 PM - Greg Shah

- Target version changed from Milestone 11 to Cleanup and Stablization for Server Features

Files

ecf_upd20141112a.zip 7.52 KB 11/12/2014 Eric Faulhaber
